#!/bin/bash
# writer 1.2 - @k@layer8.space - mit

# Use the assigned editor, if any, else use nano
[[ ${EDITOR:-"unset"} == "unset" ]] && EDITOR=nano

nlog() {
    local ORANGE='\033[0;33m'
    local NO_COLOR='\033[0m'
    echo -e "${ORANGE}[noter] | ${1} ${NO_COLOR}"
}

mkdir -p notes
current_date=$(date +%Y-%m-%d)
nlog "opening note notes/$current_time.txt"
filename="notes/${current_date}.txt"
$EDITOR "$filename"

# Get writer's location in case executed elsewhere
noter_dir=$(dirname "$0")

# Override publish dir if passed as cli arg
[[ ! -z "$1" ]] && publish_dir="$1"
"$noter_dir/noter.sh" "${publish_dir}"
